<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- Additional documentation for the optim package for Octave.

Copyright (C) Olaf Till <i7tiol@t-online.de>

You can redistribute this documentation and/or modify it under the terms
of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any
later version.

This documentation is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this documentation; if not, see <http://www.gnu.org/licenses/>. -->
<!-- Created by GNU Texinfo 6.3, http://www.gnu.org/software/texinfo/ -->
<head>
<title>optim_doc: Concept index</title>

<meta name="description" content="optim_doc: Concept index">
<meta name="keywords" content="optim_doc: Concept index">
<meta name="resource-type" content="document">
<meta name="distribution" content="global">
<meta name="Generator" content="makeinfo">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="index.html#Top" rel="start" title="Top">
<link href="Function-index.html#Function-index" rel="index" title="Function index">
<link href="index.html#Top" rel="up" title="Top">
<link href="Function-index.html#Function-index" rel="prev" title="Function index">
<style type="text/css">
<!--
a.summary-letter {text-decoration: none}
blockquote.indentedblock {margin-right: 0em}
blockquote.smallindentedblock {margin-right: 0em; font-size: smaller}
blockquote.smallquotation {font-size: smaller}
div.display {margin-left: 3.2em}
div.example {margin-left: 3.2em}
div.lisp {margin-left: 3.2em}
div.smalldisplay {margin-left: 3.2em}
div.smallexample {margin-left: 3.2em}
div.smalllisp {margin-left: 3.2em}
kbd {font-style: oblique}
pre.display {font-family: inherit}
pre.format {font-family: inherit}
pre.menu-comment {font-family: serif}
pre.menu-preformatted {font-family: serif}
pre.smalldisplay {font-family: inherit; font-size: smaller}
pre.smallexample {font-size: smaller}
pre.smallformat {font-family: inherit; font-size: smaller}
pre.smalllisp {font-size: smaller}
span.nolinebreak {white-space: nowrap}
span.roman {font-family: initial; font-weight: normal}
span.sansserif {font-family: sans-serif; font-weight: normal}
ul.no-bullet {list-style: none}
-->
</style>


</head>

<body lang="en">
<a name="Concept-index"></a>
<div class="header">
<p>
Previous: <a href="Function-index.html#Function-index" accesskey="p" rel="prev">Function index</a>, Up: <a href="index.html#Top" accesskey="u" rel="up">Top</a> &nbsp; [<a href="Function-index.html#Function-index" title="Index" rel="index">Index</a>]</p>
</div>
<hr>
<a name="Concept-index-1"></a>
<h2 class="unnumbered">Concept index</h2>

<table><tr><th valign="top">Jump to: &nbsp; </th><td><a class="summary-letter" href="#Concept-index_cp_letter-A"><b>A</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-C"><b>C</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-D"><b>D</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-G"><b>G</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-H"><b>H</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-L"><b>L</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-N"><b>N</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-O"><b>O</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-P"><b>P</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-R"><b>R</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-S"><b>S</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-W"><b>W</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-Z"><b>Z</b></a>
 &nbsp; 
</td></tr></table>
<table class="index-cp" border="0">
<tr><td></td><th align="left">Index Entry</th><td>&nbsp;</td><th align="left"> Section</th></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-A">A</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Additional-parameters.html#index-additional-parameters">additional parameters</a>:</td><td>&nbsp;</td><td valign="top"><a href="Additional-parameters.html#Additional-parameters">Additional parameters</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-C">C</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Common-optimization-options.html#index-common-optimization-options">common optimization options</a>:</td><td>&nbsp;</td><td valign="top"><a href="Common-optimization-options.html#Common-optimization-options">Common optimization options</a></td></tr>
<tr><td></td><td valign="top"><a href="Common-frontend-options.html#index-common-options">common options</a>:</td><td>&nbsp;</td><td valign="top"><a href="Common-frontend-options.html#Common-frontend-options">Common frontend options</a></td></tr>
<tr><td></td><td valign="top"><a href="Compatibility-functions.html#index-compatibility-functions">compatibility functions</a>:</td><td>&nbsp;</td><td valign="top"><a href="Compatibility-functions.html#Compatibility-functions">Compatibility functions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-D">D</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="d2_005fmin.html#index-d2_005fmin">d2_min</a>:</td><td>&nbsp;</td><td valign="top"><a href="d2_005fmin.html#d2_005fmin">d2_min</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-G">G</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Gradient-functions.html#index-gradient-functions">gradient functions</a>:</td><td>&nbsp;</td><td valign="top"><a href="Gradient-functions.html#Gradient-functions">Gradient functions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-H">H</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Helper-functions.html#index-helper-functions">helper functions</a>:</td><td>&nbsp;</td><td valign="top"><a href="Helper-functions.html#Helper-functions">Helper functions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-L">L</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="lm_005ffeasible.html#index-lm_005ffeasible">lm_feasible</a>:</td><td>&nbsp;</td><td valign="top"><a href="lm_005ffeasible.html#lm_005ffeasible">lm_feasible</a></td></tr>
<tr><td></td><td valign="top"><a href="lm_005fsvd_005ffeasible.html#index-lm_005fsvd_005ffeasible">lm_svd_feasible</a>:</td><td>&nbsp;</td><td valign="top"><a href="lm_005fsvd_005ffeasible.html#lm_005fsvd_005ffeasible">lm_svd_feasible</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-N">N</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Non_002dscalar-parameters.html#index-named-parameter-arrays">named parameter arrays</a>:</td><td>&nbsp;</td><td valign="top"><a href="Non_002dscalar-parameters.html#Non_002dscalar-parameters">Non-scalar parameters</a></td></tr>
<tr><td></td><td valign="top"><a href="Non_002dscalar-parameters.html#index-non_002dscalar-parameters">non-scalar parameters</a>:</td><td>&nbsp;</td><td valign="top"><a href="Non_002dscalar-parameters.html#Non_002dscalar-parameters">Non-scalar parameters</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-O">O</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="octave_005fsqp.html#index-octave_005fsqp">octave_sqp</a>:</td><td>&nbsp;</td><td valign="top"><a href="octave_005fsqp.html#octave_005fsqp">octave_sqp</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-P">P</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Parameter-structures.html#index-parameter-structures">parameter structures</a>:</td><td>&nbsp;</td><td valign="top"><a href="Parameter-structures.html#Parameter-structures">Parameter structures</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-R">R</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Residual-optimization.html#index-residual-optimization">residual optimization</a>:</td><td>&nbsp;</td><td valign="top"><a href="Residual-optimization.html#Residual-optimization">Residual optimization</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-S">S</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="samin.html#index-samin">samin</a>:</td><td>&nbsp;</td><td valign="top"><a href="samin.html#samin">samin</a></td></tr>
<tr><td></td><td valign="top"><a href="Scalar-optimization.html#index-scalar-optimization">scalar optimization</a>:</td><td>&nbsp;</td><td valign="top"><a href="Scalar-optimization.html#Scalar-optimization">Scalar optimization</a></td></tr>
<tr><td></td><td valign="top"><a href="siman.html#index-siman">siman</a>:</td><td>&nbsp;</td><td valign="top"><a href="siman.html#siman">siman</a></td></tr>
<tr><td></td><td valign="top"><a href="wls.html#index-statistics-for-weighted-least-squares">statistics for weighted least squares</a>:</td><td>&nbsp;</td><td valign="top"><a href="wls.html#wls">wls</a></td></tr>
<tr><td></td><td valign="top"><a href="Structure_002dbased-configuration-settings.html#index-structure_002dbased-configuration-settings">structure-based configuration settings</a>:</td><td>&nbsp;</td><td valign="top"><a href="Structure_002dbased-configuration-settings.html#Structure_002dbased-configuration-settings">Structure-based configuration settings</a></td></tr>
<tr><td></td><td valign="top"><a href="Structure_002dbased-gradients-and-Hessians.html#index-structure_002dbased-gradients">structure-based gradients</a>:</td><td>&nbsp;</td><td valign="top"><a href="Structure_002dbased-gradients-and-Hessians.html#Structure_002dbased-gradients-and-Hessians">Structure-based gradients and Hessians</a></td></tr>
<tr><td></td><td valign="top"><a href="Structure_002dbased-gradients-and-Hessians.html#index-structure_002dbased-Hessians">structure-based Hessians</a>:</td><td>&nbsp;</td><td valign="top"><a href="Structure_002dbased-gradients-and-Hessians.html#Structure_002dbased-gradients-and-Hessians">Structure-based gradients and Hessians</a></td></tr>
<tr><td></td><td valign="top"><a href="Structure_002dbased-linear-constraints.html#index-structure_002dbased-linear-constraints">structure-based linear constraints</a>:</td><td>&nbsp;</td><td valign="top"><a href="Structure_002dbased-linear-constraints.html#Structure_002dbased-linear-constraints">Structure-based linear constraints</a></td></tr>
<tr><td></td><td valign="top"><a href="Structure_002dbased-user-functions.html#index-structure_002dbased-user-functions">structure-based user functions</a>:</td><td>&nbsp;</td><td valign="top"><a href="Structure_002dbased-user-functions.html#Structure_002dbased-user-functions">Structure-based user functions</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-W">W</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="wls.html#index-wls">wls</a>:</td><td>&nbsp;</td><td valign="top"><a href="wls.html#wls">wls</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Concept-index_cp_letter-Z">Z</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Zero-finders.html#index-zero-finders">zero finders</a>:</td><td>&nbsp;</td><td valign="top"><a href="Zero-finders.html#Zero-finders">Zero finders</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
</table>
<table><tr><th valign="top">Jump to: &nbsp; </th><td><a class="summary-letter" href="#Concept-index_cp_letter-A"><b>A</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-C"><b>C</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-D"><b>D</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-G"><b>G</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-H"><b>H</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-L"><b>L</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-N"><b>N</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-O"><b>O</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-P"><b>P</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-R"><b>R</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-S"><b>S</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-W"><b>W</b></a>
 &nbsp; 
<a class="summary-letter" href="#Concept-index_cp_letter-Z"><b>Z</b></a>
 &nbsp; 
</td></tr></table>

<hr>
<div class="header">
<p>
Previous: <a href="Function-index.html#Function-index" accesskey="p" rel="prev">Function index</a>, Up: <a href="index.html#Top" accesskey="u" rel="up">Top</a> &nbsp; [<a href="Function-index.html#Function-index" title="Index" rel="index">Index</a>]</p>
</div>



</body>
</html>
